package com.gallery.free.wallpaper.environment.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "1x1dmfonwgx54zkn"
        const val TOP_ON_AD_TOW = "3r21zexffllavwqj"
        const val TOP_ON_AD_THREE = "4v2mbujbbk8wq7ed"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}